#!/usr/bin/env python
"""A utility for making a Google Map of image files
"""
import sys
import os
import pyexiv2
import glob

def checkGPS(filename):
    """Check for presence of GPS metadata """
    mdata=pyexiv2.ImageMetadata(filename)
    mdata.read()
    try: 
        tag=mdata['Exif.Image.GPSTag'].value
    except KeyError:
        pass
    else:
        (x['Exif.GPSInfo.GPSLongitudeRef'].value == 'E')*-2 +1
        print filename
    return  
    
def main( path):
    """"process files in list"""
    print path
    for infile in glob.glob( os.path.join(path, '*.jpg') ):
        checkGPS(infile)
       
    
if __name__ == "__main__":
    if len(sys.argv) > 1:
        path = sys.argv[1]
    else:
        path = './'
    main(path)
    
 
  
    
