package com.example.gpstutorial;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class GPSPhotoDatabaseHelper extends SQLiteOpenHelper {
	
    private static final int DATABASE_VERSION = 1;
    private static final String DATABASE_NAME = "GPSPhotoDatabase";
    public static final String PHOTO_TABLE_NAME = "photos";
    public static final String KEY_FILE = "file";
    public static final String KEY_GPS_LAT = "gps_lat";
    public static final String KEY_GPS_LNG = "gps_lng";
    private static final String PHOTO_TABLE_CREATE =
                "CREATE TABLE " + PHOTO_TABLE_NAME + " (" +
                KEY_FILE + " TEXT, " +
                KEY_GPS_LAT + " FLOAT, " +
                KEY_GPS_LNG + " FLOAT);";
    private static final String PHOTO_TABLE_DROP = "DROP TABLE " + PHOTO_TABLE_NAME + ";";

    GPSPhotoDatabaseHelper(Context context) {
        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(PHOTO_TABLE_CREATE);
    }

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL(PHOTO_TABLE_DROP);
        onCreate(db);
	}

}
