package com.example.gpstutorial;

import android.database.Cursor;
import android.database.sqlite.SQLiteQueryBuilder;
import android.graphics.drawable.Drawable;
import android.os.Bundle;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;

public class GPSPhotoMap extends MapActivity {
	private Cursor photoList;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.map);
        showPhotosOnMap();
    }

    @Override
    protected boolean isRouteDisplayed() {
        return false;
    }
    
    private void getPhotoList() {
    	GPSPhotoDatabaseHelper db = new GPSPhotoDatabaseHelper(getBaseContext());
    	SQLiteQueryBuilder builder = new SQLiteQueryBuilder();
    	builder.setTables(GPSPhotoDatabaseHelper.PHOTO_TABLE_NAME);
    	
    	String[] PROJECTION = new String[] {
    			GPSPhotoDatabaseHelper.KEY_FILE, 
    			GPSPhotoDatabaseHelper.KEY_GPS_LAT, 
    			GPSPhotoDatabaseHelper.KEY_GPS_LNG
    	};
    	photoList = builder.query(db.getReadableDatabase(),      
    			PROJECTION, null, null, null, null, null);  
    }
    
    private void showPhotosOnMap() {
    	Drawable pin = this.getResources().getDrawable(R.drawable.pin);
    	PhotoLocationOverlay photoOverlay = new PhotoLocationOverlay(pin, this);
        MapView mapView = (MapView) findViewById(R.id.mapView); 
    	mapView.getOverlays().add(photoOverlay); 

        getPhotoList();
    	photoList.moveToFirst();
    	while (photoList.isAfterLast() == false) {
    		String uri = photoList.getString(
    				photoList.getColumnIndex(GPSPhotoDatabaseHelper.KEY_FILE));
    		float lat = photoList.getFloat(
    				photoList.getColumnIndex(GPSPhotoDatabaseHelper.KEY_GPS_LAT));
    		float lng = photoList.getFloat(
    				photoList.getColumnIndex(GPSPhotoDatabaseHelper.KEY_GPS_LNG));
    		GeoPoint gp = new GeoPoint((int)(lat * 1E6), (int)(lng * 1E6));
 			photoOverlay.addItem(gp, null, uri);
    		photoList.moveToNext();
    	}
    	photoList.close();
    }
}
